#!/usr/bin/env bash

# Start commands for each container, one cmd a line
START_CMDS="tar zxf webui_opwebservice_package.tar.gz -C opservice.yidian-inc.com/htdocs && cd opservice.yidian-inc.com && ${start_cmd}"

# Container names for each container, one name a line, same order with $start_cmds
CONTAINER_NAMES="webui-opwebservice-${env}"

# Port maps for each container, one map a line, same order with $start_cmds
DOCKER_PORT_MAPS="8055:8055"

# This is for changing container name, remove old containers when deploy new one
OLD_CONTAINER_NAMES="
webui-opwebservice-${env}
webui-opwebservice
"

# Volumn maps for each container, one map a line, same order with $start_cmds
DOCKER_VOLUMN_MAPS="
~/_logs/webui-opwebservice-${env}:/home/worker/opservice.yidian-inc.com/logs
"

# Other docker run options
DOCKER_RUN_OPTIONS=""
# Image name
IMAGE_NAME="docker2.yidian.com:5000/publish/bp-op-web-service-master-${release_number}-image"
# This is for stopping container, kill sepicify process inside the container before 'docker stop' and 'docker rm'
DOCKER_PRESTOP_CMD=""
# Service port for apitest
SERVICE_PORT="8055"
# Service port inside container
ORIGIN_SERVICE_PORT="8055"
