rm /home/worker/opservice.yidian-inc.com/logs/start_script.done
cd /home/worker/opservice.yidian-inc.com/htdocs/
mv /opt/project_lib/node_modules /home/worker/opservice.yidian-inc.com/htdocs/

env=$1
port=$2

if [ $env != "" ]; then
    cd /home/worker/recipe/$env
    sh ./*.rule
    cd -
fi

if [ X"$port" = X];then
    $port=8055
fi

cd /home/worker/opservice.yidian-inc.com/htdocs/

if [ X"$env" = X"prod" ];then
    echo "{\"pm2-logrotate\":{\"max_size\":\"524288000\",\"interval\":\"7\",\"retain\":\"10\"},\"module-db\":{\"pm2-logrotate\":true}}" > /root/.pm2/module_conf.json
    port=8055
    pm2 start pm2.json
else
    PORT=$port NODE_ENV=$env pm2 start app.js --name "opwebservice_${port}" --watch
fi

while true; do
    s=`netstat -ntl | grep ":${port}" -c`
    if [ "X$s" != "X" ] && [ "$s" != "0" ]; then
        break
    fi
    pm2 restart all;
    sleep 10;
done

touch /home/worker/opservice.yidian-inc.com/logs/start_script.done
while true;do
sleep 30;done
