const fs = require("fs");
const path = require("path");

let cachePage = null;

exports.index = (ctx, next) => {
    console.log("----- home");
    // console.log(ctx.request.path)
    // console.log(ctx.path)

    const hostname = ctx.hostname;
    const pathArr = ctx.path.substring(1).split("/");

    console.log(hostname);
    console.log(pathArr);

    // 外网域名
    const hostNameArr = ["127.0.0.1", "opservice.yidianzixun.com", "test-opservice.yidianzixun.com", "preprod-opservice.yidianzixun.com"];

    // 允许访问的模块
    const allowModuleArr = ["activity", "groupmeal"];

    // 不允许访问的模块
    const noAllowModuleArr = ["goods", "enterprise", "withdrawal"];

    if (hostNameArr.includes(hostname) && noAllowModuleArr.includes(pathArr[1])) {
        ctx.body = "权限不足";
        return;
    }

    if (!cachePage) {
        cachePage = fs.readFileSync(path.join(__dirname, "../../public/dist/index.html"), { encoding: "utf-8" });
    }

    const content = cachePage;

    ctx.body = content;
};
