/**
 * 商品列表管理
 */
const goodsRouters = [
    {
        path: "/op/goods",
        redirect: "/op/goods/list",
    },
    {
        path: "/op/goods/list",
        name: "GoodsList",
        component: () => import(/* webpackChunkName: "goods" */ "@/pages/Goods/List"),
    },
    {
        path: "/op/goods/detail",
        name: "GoodsDetail",
        component: () => import(/* webpackChunkName: "goods" */ "@/pages/Goods/Detail"),
    },
    {
        path: "/op/goods/retail",
        name: "GoodsRetail",
        component: () => import(/* webpackChunkName: "goods" */ "@/pages/Goods/Retail"),
    },
];

export default goodsRouters;
