/**
 * 团餐运营管理
 */
const groupmealRouters = [
    {
        path: "/op/groupmeal/orderManagement",
        name: "orderManagement",
        // redirect: "/op/groupmeal/orderManagement",
        component: () => import(/* webpackChunkName: "goods" */ "@/pages/Groupmeal/orderManagement"),
    },
    {
        path: "/op/groupmeal/newOrderManagement",
        name: "newOrderManagement",
        // redirect: "/op/groupmeal/orderManagement",
        component: () => import(/* webpackChunkName: "goods" */ "@/pages/Groupmeal/newOrderManagement"),
    },
    {
        path: "/op/groupmeal/distrib",
        name: "Distrib",
        component: () => import(/* webpackChunkName: "goods" */ "@/pages/Groupmeal/Distrib"),
    },
    {
        path: "/op/groupmeal/merchantManagement",
        name: "merchantManagement",
        component: () => import(/* webpackChunkName: "goods" */ "@/pages/Groupmeal/merchantManagement"),
    },
    {
        path: "/op/groupmeal/marketing",
        name: "MarketingCenter",
        component: () => import(/* webpackChunkName: "marketing" */ "@/pages/Groupmeal/Marketing"),
    },
    {
        path: "/op/groupmeal/headManagement",
        name: "headManagement",
        component: () => import(/* webpackChunkName: "headManagement" */ "@/pages/Groupmeal/headManagement"),
    },
    {
        path: "/op/groupmeal/couponManagement",
        name: "couponManagement",
        component: () => import(/* webpackChunkName: "couponManagement" */ "@/pages/Groupmeal/couponManagement"),
    },
    {
        path: "/op/groupmeal/point",
        name: "point",
        component: () => import(/* webpackChunkName: "goods" */ "@/pages/Groupmeal/Point"),
    },
];

export default groupmealRouters;
