import axios from "../utils/request";

// 分类--列表
export async function getTagList(params) {
    const res = await axios.get(`/api/v1/marketing/background/tag_list`, {
        params,
    });
    return res.result;
}

// 分类--添加 || 编辑
export async function handleTag(params) {
    return await axios.get(`/api/v1/marketing/background/tag_edit`, {
        params,
    });
}

// 分类--删除
export async function tagDelete(params) {
    return await axios.get(`/api/v1/marketing/background/tag_delete`, {
        params,
    });
}

// 商圈--列表
export async function getBusinessCircleList(params) {
    const res = await axios.get(`/api/v1/marketing/background/business_circle_list`, {
        params,
    });
    return res.result;
}

// 分类--添加 || 编辑
export async function handleBusinessCircle(params) {
    return await axios.get(`/api/v1/marketing/background/business_circle_edit`, {
        params,
    });
}

// 分类--删除
export async function businessCircleDelete(params) {
    return await axios.get(`/api/v1/marketing/background/business_circle_delete`, {
        params,
    });
}
