import axios from "../utils/request";
// import qs from 'qs';
//角色列表
export async function getRole_list(parmasRole_list, appid) {
    const opts = {
        method: "post",
        url: "/api/v1/merchant/authority/role_list",
        params: { appid },
        data: parmasRole_list,
    };
    // const res = await axios.post("/api/v1/merchant/authority/role_list", parmasRole_list)
    // return res;
    return await axios(opts);
}
//添加角色
export async function getAdd_role(parmasAdd_role, appid) {
    const opts = {
        method: "post",
        url: "/api/v1/merchant/authority/add_role",
        params: { appid },
        data: parmasAdd_role,
    };
    return await axios(opts);
    // const res = await axios.post("/api/v1/merchant/authority/add_role", parmasAdd_role)
    // return res;
}
//角色编辑
export async function getUpdate_role(parmasUpdate_role, appid) {
    const opts = {
        method: "post",
        url: "/api/v1/merchant/authority/update_role",
        params: { appid },
        data: parmasUpdate_role,
    };
    return await axios(opts);
    // const res = await axios.post("/api/v1/merchant/authority/update_role", parmasUpdate_role)
    // return res;
}
//角色详情
export async function get_role_info(role_id, appid) {
    const opts = {
        method: "post",
        url: "/api/v1/merchant/authority/get_role_info",
        params: { appid },
        data: { role_id },
    };
    return await axios(opts);

    // const res = await axios.post("/api/v1/merchant/authority/get_role_info", {
    //   role_id
    // })
    // return res.result;
}
//角色删除
export async function getDelete_role(role_id, appid) {
    const opts = {
        method: "post",
        url: "/api/v1/merchant/authority/delete_role",
        params: { appid },
        data: { role_id },
    };
    return await axios(opts);

    // const res = await axios.post("/api/v1/merchant/authority/delete_role", {
    //   role_id
    // })
    // return res;
}

//权限列表
export async function getAll_role_list(user_email, appid) {
    const opts = {
        method: "post",
        url: "/api/v1/merchant/authority/get_role_list",
        params: { appid },
        data: { user_email },
    };
    return await axios(opts);
    // const res = await axios.post("/api/v1/merchant/authority/get_role_list", {
    //   user_email
    // })
    // return res.permissions;
}
