#!/bin/bash

# 更新项目的基础镜像，当依赖发生更改时，
# 需要将更改后的 package.json 合并到 master 之后执行此脚本
# 执行脚本前置条件：
# 1. 有 swan 权限
# 2. 有测试机 10.103.17.21 的登录权限

name=$1
build_machine="10.103.17.21"

echo "Login in swan to access the build machine. User: $name"

ssh -tt $name@swan "ssh -tt worker@$build_machine \"sh /home/worker/zhangxiaozheng/build_base_images/ui/build_ui_base_image.sh conf/op-web-service.conf init\""
