const qr = require("qr-image");

exports.gen_qr_code = async (ctx) => {
    const url = ctx.query.url;

    try {
        let img = qr.image(decodeURIComponent(url));

        ctx.type = "image/png";
        ctx.body = img;
    } catch (e) {
        ctx.type = "text/html;charset=utf-8";
        ctx.body = "<h1>414 Request-URI Too Large</h1>";
    }
};
