const ACTIVITY_URI = require("../config.js").ACTIVITY_URI;
const req = require("../utils/request").httpReq;

// 获取商家列表
exports.edit = async (ctx) => {
    const url = `${ACTIVITY_URI}/marketing/background/tag_edit`;
    const opts = {
        url,
        method: "GET",
    };
    ctx.body = await req(ctx, opts);
};

// 商品库列表
exports.list = async (ctx) => {
    const url = `${ACTIVITY_URI}/marketing/background/tag_list`;
    const opts = {
        url,
        method: "GET",
    };
    ctx.body = await req(ctx, opts);
};

// 查看商品详情
exports.delete = async (ctx) => {
    const url = `${ACTIVITY_URI}/marketing/background/tag_delete`;
    const opts = {
        url,
        method: "GET",
    };
    ctx.body = await req(ctx, opts);
};
