/**
 * 活动管理
 */
const activityRouters = [
    {
        path: "/op/activity",
        redirect: "/op/activity/manage",
    },
    {
        path: "/op/activity/manage",
        name: "ManageList",
        component: () => import(/* webpackChunkName: "activity" */ "@/pages/Activity/Manage"),
    },

    // 发布拼单
    {
        path: "/op/activity/releaseProduc",
        name: "releaseProduc",
        component: () => import(/* webpackChunkName: "activity" */ "@/pages/Activity/releaseProduc"),
    },
    // 标题详情
    {
        path: "/op/activity/activityDetail",
        name: "ActivityDetail",
        component: () => import(/* webpackChunkName: "activity" */ "@/pages/Activity/ActivityDetail"),
    },
    {
        path: "/op/activity/releaseProduc/spellOrderSet",
        name: "spellOrderSet",
        component: () => import(/* webpackChunkName: "activity" */ "@/pages/Activity/releaseProduc/components/spellOrderSet"),
    },
];

export default activityRouters;
