import router from "@/router";
// export async function handleUserLogin() {
//   const { status, user } = await fetchCurrentUser();
//   // {"status":"success","user":{"userid":"732473439","name":"吕伟朝","email":"lvweichao@yidian-inc.com","avatar":""}}
//   if (status === 'success') {
//     store.commit('updateUserInfo', user);
//     store.dispatch('updateUserPermission', { email: user.email }).then(() => {
//       router.beforeResolve((to, from, next) => {
//         if (to.meta.requireAuth) {
//           console.log(33333, to)
//           console.log(5555, checkPathAuth(to.path));
//           next()
//         } else {
//           next()
//         }
//       })
//     });
//   } else {
//     redirectToLogin();
//   }
// }

export function redirectToLogin() {
    let hasCallback = window.location.href.match(/\?callback/);
    if (hasCallback) return;
    let isLogin = window.location.pathname.match(/op\/login/);
    router.push(`/op/login${!isLogin ? "?callback=" + window.encodeURIComponent(window.location.pathname) : ""}`);
}

export function redirectPage() {
    let url = window.location.search.split("?callback=")[1] || window.location.pathname;
    router.push(window.decodeURIComponent(url));
}

export function isYdUser(email) {
    return email.match(/yidian-inc/) || false;
}

export function setCookie(name, value) {
    var hour = 8;
    var exp = new Date();
    exp.setTime(exp.getTime() + hour * 60 * 60 * 1000);
    document.cookie = name + "=" + value + ";expires=" + exp.toGMTString() + ";path=/";
}

//获取cookie
export function getCookie(NameOfCookie) {
    if (document.cookie.length > 0) {
        let begin = document.cookie.indexOf(NameOfCookie + "=");
        if (begin !== -1) {
            begin += NameOfCookie.length + 1;
            let end = document.cookie.indexOf(";", begin);
            if (end === -1) end = document.cookie.length;
            return document.cookie.substring(begin, end);
        }
    }
    return null;
}

export function delCookie() {
    var keys = document.cookie.match(/[^ =;]+(?==)/g);
    if (keys) {
        for (var i = keys.length; i--; ) {
            document.cookie = keys[i] + "=0;path=/;expires=" + new Date(0).toUTCString();
            document.cookie = keys[i] + "=0;path=/;domain=" + document.domain + ";expires=" + new Date(0).toUTCString();
            document.cookie = keys[i] + "=0;path=/;domain=yidian-inc.com;expires=" + new Date(0).toUTCString();
        }
    }
}

export const UploadPicUrl = process.env.NODE_ENV === "development" ? `/api/v1/relay/ks3api_upload` : "/api/v1/relay/ks3api_upload";
